%define section free

Summary:        Radeox Wiki rendering engine 
Name:           radeox
Version:        0.9
Release:        0.beta.1jpp
Epoch:          0
License:        LGPL
URL:            http://radeox.org/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}-BETA-src.tgz
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
BuildRequires:  jakarta-commons-logging
BuildRequires:  oro
BuildRequires:  junitperf

Requires:  jakarta-commons-logging
Requires:  oro

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Radeox API is a lightwight wiki markup rendering 
engine API to make render engines for wikis more portable.
Radeox RE is a Wiki rendering engine implementation that 
implements the Radeox API in Java. The engine renders 
wiki markup to XHTML. The goal is to develop a feature 
rich, easy to maintain wiki library with a low bug count 
so writing your own Wiki implementation is a breeze.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-BETA
# remove all binary libs
for f in $(find . -name "*.jar"); do mv $f $f.not; done
pushd lib
ln -s $(build-classpath commons-logging) .
ln -s $(build-classpath oro) jakarta-oro.jar
ln -s $(build-classpath junit) .
ln -s $(build-classpath junitperf) .
# picocontainer.jar
popd
# Pico-Example needs picocontainer
rm -rf src/org/radeox/example

%build
ant test

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Fri Nov 12 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9-0.beta.1jpp
- First JPackage build
